AutoCAD Inventor :: Create Flat Pattern IDWs From Assembly
Mar 15, 2012
To increase the speed of production, I like to generate idws of flat patterns from assembly. The following iLogic rule work fine inside a metal sheet (I had to create flat pattern before run this rule).
Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumDim oDrawingDoc As DrawingDocumentDim oPartDoc As DocumentDim oSheet As sheetDim oTG As TransientGeometryDim oView1 As DrawingViewDim oOptions As NameValueMapoPartDoc
[Code] ........
But from an assembly there are some problem ( firstable I'm not an expert of vba and ilogic)
Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumfmgr = ThisApplication.FilemanagerFor Each file In fmgr.filesdoc = ThisApplication.Documents.ItemByName (file.fullfileName)compdef = doc.ComponentDefinition' For each assembly or subassembly'If (doc.documenttype = 12291) Then For Each occ In compdef.Occurrences' For sheet metal or part
[Code] ........
rule the runs from the assembly. My assembly file has 3 sheet metal parts and what I need is use ilogic rules to export them as .dxf files at the same time. It does work when I write the code for each single part, however, the rules not works when I assembly them together. I keep getting the error message
"Error in rule: Rule3, in document: access dr_same
Unable to cast COM object of type 'Inventor._DocumentClass' to interface type 'Inventor.PartDocument'. This operation failed because the QueryInterface call on the COM component for the interface with IID '{29F0D463-C114-11D2-B77F-0060B0F159EF}' failed due to the following error: No such interface supported (Exception from HRESULT: 0x80004002 (E_NOINTERFACE))."
Something to clear, Rule3 is the rule I wrote in ilogic to export .dxf FILE. everytime the parameter changes, the rule allows me to automatically save the surface as dxf file to a certain location. the rule works perfect in the ipt file.
however, when i assemble 3 sheet metal parts together in an assembly file, this rule not works anymore and give me the above error message.
I want to create a flat pattern of a sheet metal-part that I've used in an assembly. In this assembly I've made cut-outs in some of the parts (see attached .png). Is it possible to get at flat pattern of the specific parts with the cutouts? I can e-mail a ZIP-file with the assembly (the file was too large too attach).
I created an iLogic rule that allows in a sheet metal part to the informations Length, widht and area of a flat pattern. This rule run and the iproerties are created (see attachment file).
Now, I will run this rule from an assembly file to create automatically, in all sheet metal components, theses iproperties.
Is it possible ? what must I change in this rule ?
I want to creat a flatpattern of an iregulary cut cylinder that was made in the standard .ipt world and is now converted into a sheetmetal. I want to "Unroll" the piece out so can see the shape of it as a flat piece. Picture of it is attached.
I can't get Inventor to create a flat pattern of the attached sheetmetal part. It's a pretty basic part, just five folds. I'm not getting any error issues - when I go to the flat pattern it just shows the folded part (picture attached).
I assume it has something to do with the way I folded it and the notches, etc. Inv makes to accomplish the fold. I'm using Inventor 2013 on Win 8.
I need a code to generate the Flat Pattern in VBA.
I made an app who sets the specific material and I would like to unfold the folded part at the same time.
I tried this code, but not works:
Dim partDoc As PartDocument Dim sheetMetalDef As SheetMetalComponentDefinition If (Not sheetMetalDef.HasFlatPattern()) Then sheetMetalDef.Unfold End If
I recently switched to Inventor 2012 from a previous version. I cannot find the create flat pattern command. Some of my coworkers were able to customize their RMB menu to have this command, but I am not even able to do that! (They don't have the command on the ribbon, either.)
I have created a round end cap with a flange for a tank. (Please see attached picture) We have a flanging machine that rolls the edges on round flat pieces of sheet metal. The issue is that no matter how I create this rolled flange in the model, I cannot get a flat pattern out of this.
We need to know the size of the blank before rolling the lip on it and I have tried using the contour flange and it doesn't work, I have tried revolving in sheet metal and it still will not create a round flat pattern. It seems that no matter what I do, it will not produce a round flat pattern. Is this something that can be done in inventor or am I just trying to do something that inventor is not yet capable of doing?
I want to create a hole approx 586x586mm. But every time i try inventor respond with "The attempted operation did not produce a meaningful result" If i do a slightly smaller hole it will work, but that is not what i want...
I am trying to export geometry found in a flat pattern sketch overlaid onto the flat pattern.
Since I am creating the output file manually I gather the flat pattern boundaries and bend center lines for output to a file.
When I add flat pattern sketch entities to the mix they do not overlay properly. What matrix would I have to push the sketch entities through to get them to the same coordinates as the flat pattern?
I would like to know how to draw segment elbow 90 degrees ( segments are not equal ) and create Flat Pattern for each of the segments - using sheetmetal in Autodesk Inventor?
I'm attempting to create a mini version of a product, I use the Derived Component button and scale the part down. Then I use Convert to Sheet Metal, set my sheet metal defaults, but then nothing happens when i try to create flat pattern. Is it even possible to derive a flat pattern from a scaled part?
The company I work for has a large number of Left Hand and Right Hand sheet metal parts. To reduce the amount of time needed to create both Left Hand and Right Hand sheet metal parts, I use the Derived Part icon. I create a Left Hand part, use the derive icon with mirroring on and create the Right Hand part. While the Right Hand sheet metal part gets created, the Right Hand part will not allow me to create a Flat Pattern.
what steps must I follow to create a derived sheet metal part that I can make a Flat Pattern with?
How can i create a detail identification balloon in the idw's that prompt the user for the detail number and reference? Up to now we have been using sketched symbols balloon but are required to add the text manually as a second step. Is it possible in Inventor to combine this like easily done in Autocad.
AutoCAD 2011 Inventor Simulation 2011 Vault Professional 2012
I can't find a way to create multi flat patters in one part from a lofted sheetmetal part. Also, didn't the developers fix the 'can't make a flat pattern from a derived part'?
IV 2010 Suite Digital Storm PC: EVGA & Intel components Win 7 Pro 64 bit
My next challenge with my rolled cone bottom is to place an oval in the cone that will give the right edges for the lazer pattern. If I create the cut while in the formed shape the edges are not perpendicular to the face in the flat pattern. If I place the cut in the flat pattern, it is suppressed when the part is returned to the formed state.
In other packages I would unfold the part, place the cut, and then refold it retaining the cut. How do we deal with this situation here?
I want to make dxf files from a flatpattern with ApprenticeServer in a VB6 project. I tried this code but I get a Error 5 on the line :
oDataIO.WriteDataToFile sOut, strFilenaam
What's wrong?
Public Sub Maak_UitslagDXF_Appr(strFilenaam As String) Dim oApprenticeServerApp As New ApprenticeServerComponent Dim oPartdoc As ApprenticeServerDocument Set oPartdoc = oApprenticeServerApp.Open(strFilenaam)
It's my first time using sheet metal in a drawing and I can't figure out how to show flat pattern in the drawing. When I insert the base view into my drawing, the bottom to "Sheet Metal View" to "Flat Pattern" is shown, but it's ghosted out so I can't select it. Is there something I have to do in the part drawing in order to activate this feature?
So, I have an assembly with a sheet metal part and a lot of pressed studs, spacers, weld nuts. I'd like to do a flat pattern with these parts in it in order to give their positions to manufacture, because they have to be pressed and weld in flat pattern phase, before bending.
Is there any easy way to do this (instead of saving flat pattern as SAT and insert every components again)?
I have designed a hopper using the lofted flange command. It is a 24" sq going to an 8" diameter. I would like to apply the rip feature to make (4) separate sections for this hopper so that (4) separate pieces can be cut on a waterjet machine. I can make it so that only (2) flat patterns are required, (2) pieces cut for each.
Can this be done in Inventor 2011? Also, can you recommend a good book on Sheetmetal in Inventor?
I am trying to develop a macro that exports all flat patterns for sheet metal components. I haven't been able to get the following code to work. It give the error message "The document you are trying to save is not a drawing document"
Sub PublishDXF() Dim DXFAddIn As TranslatorAddIn Set DXFAddIn = ThisApplication.ApplicationAddIns.ItemById("{C24E3AC4-122E-11D5-8E91-0010B541CD80}") Dim oDocument As PartDocument Set oDocument = ThisApplication.ActiveDocument Dim oContext As TranslationContext [Code] .......
I just got around to installing my subscription upgrade from INV PRO 2012 to 2013. I am having trouble getting sheet metal flats to show up in the idw's. The folded parts are visible, solid parts are visible, etc. The problem seems to be specific to flat patterns. I have attached a screen shot of a sample part.
When I hover the mouse over where the flat pattern should be, the red dashed box which usually encloses the view shows up, however it is tiny. Barely the size of the view label.
I'm having difficulty with a sheet metal part creating a flat pattern for it. The shape is an ellipse with the dimensions shown in the second picture. When I attempt to create a flat pattern it just shows the side of the part. The sheet metal defaults are correct for the part and it was ripped to created a base point for the pattern. I need to create a DXF for manufacture. I would just use the flat pattern it gives me and mirror it twice to create a pattern but it doesn't factor in the radius of the part. How to create a correct flat pattern for this item?